#ifndef BISON_Y_TAB_H
# define BISON_Y_TAB_H

#ifndef YYSTYPE
typedef union
{
	int					ival;
	char				chr;
	char				*str;
	const char			*keyword;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	List				*list;
	Node				*node;
	Value				*value;
	ColumnRef			*columnref;

	TypeName			*typnam;
	DefElem				*defelt;
	SortGroupBy			*sortgroupby;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	A_Indices			*aind;
	ResTarget			*target;
	PrivTarget			*privtarget;

	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	ABORT_TRANS	257
# define	ABSOLUTE	258
# define	ACCESS	259
# define	ACTION	260
# define	ADD	261
# define	AFTER	262
# define	AGGREGATE	263
# define	ALL	264
# define	ALTER	265
# define	ANALYSE	266
# define	ANALYZE	267
# define	AND	268
# define	ANY	269
# define	AS	270
# define	ASC	271
# define	ASSERTION	272
# define	ASSIGNMENT	273
# define	AT	274
# define	AUTHORIZATION	275
# define	BACKWARD	276
# define	BEFORE	277
# define	BEGIN_TRANS	278
# define	BETWEEN	279
# define	BIGINT	280
# define	BINARY	281
# define	BIT	282
# define	BOTH	283
# define	BOOLEAN	284
# define	BY	285
# define	CACHE	286
# define	CALLED	287
# define	CASCADE	288
# define	CASE	289
# define	CAST	290
# define	CHAIN	291
# define	CHAR_P	292
# define	CHARACTER	293
# define	CHARACTERISTICS	294
# define	CHECK	295
# define	CHECKPOINT	296
# define	CLASS	297
# define	CLOSE	298
# define	CLUSTER	299
# define	COALESCE	300
# define	COLLATE	301
# define	COLUMN	302
# define	COMMENT	303
# define	COMMIT	304
# define	COMMITTED	305
# define	CONSTRAINT	306
# define	CONSTRAINTS	307
# define	CONVERSION_P	308
# define	CONVERT	309
# define	COPY	310
# define	CREATE	311
# define	CREATEDB	312
# define	CREATEUSER	313
# define	CROSS	314
# define	CURRENT_DATE	315
# define	CURRENT_TIME	316
# define	CURRENT_TIMESTAMP	317
# define	CURRENT_USER	318
# define	CURSOR	319
# define	CYCLE	320
# define	DATABASE	321
# define	DAY_P	322
# define	DEALLOCATE	323
# define	DEC	324
# define	DECIMAL	325
# define	DECLARE	326
# define	DEFAULT	327
# define	DEFERRABLE	328
# define	DEFERRED	329
# define	DEFINER	330
# define	DELETE_P	331
# define	DELIMITER	332
# define	DELIMITERS	333
# define	DESC	334
# define	DISTINCT	335
# define	DO	336
# define	DOMAIN_P	337
# define	DOUBLE	338
# define	DROP	339
# define	EACH	340
# define	ELSE	341
# define	ENCODING	342
# define	ENCRYPTED	343
# define	END_TRANS	344
# define	ESCAPE	345
# define	EXCEPT	346
# define	EXCLUSIVE	347
# define	EXECUTE	348
# define	EXISTS	349
# define	EXPLAIN	350
# define	EXTERNAL	351
# define	EXTRACT	352
# define	FALSE_P	353
# define	FETCH	354
# define	FLOAT_P	355
# define	FOR	356
# define	FORCE	357
# define	FOREIGN	358
# define	FORWARD	359
# define	FREEZE	360
# define	FROM	361
# define	FULL	362
# define	FUNCTION	363
# define	GET	364
# define	GLOBAL	365
# define	GRANT	366
# define	GROUP_P	367
# define	HANDLER	368
# define	HAVING	369
# define	HOUR_P	370
# define	ILIKE	371
# define	IMMEDIATE	372
# define	IMMUTABLE	373
# define	IN_P	374
# define	INCREMENT	375
# define	INDEX	376
# define	INHERITS	377
# define	INITIALLY	378
# define	INNER_P	379
# define	INOUT	380
# define	INPUT	381
# define	INSENSITIVE	382
# define	INSERT	383
# define	INSTEAD	384
# define	INT	385
# define	INTEGER	386
# define	INTERSECT	387
# define	INTERVAL	388
# define	INTO	389
# define	INVOKER	390
# define	IS	391
# define	ISNULL	392
# define	ISOLATION	393
# define	JOIN	394
# define	KEY	395
# define	LANCOMPILER	396
# define	LANGUAGE	397
# define	LEADING	398
# define	LEFT	399
# define	LEVEL	400
# define	LIKE	401
# define	LIMIT	402
# define	LISTEN	403
# define	LOAD	404
# define	LOCAL	405
# define	LOCALTIME	406
# define	LOCALTIMESTAMP	407
# define	LOCATION	408
# define	LOCK_P	409
# define	MATCH	410
# define	MAXVALUE	411
# define	MINUTE_P	412
# define	MINVALUE	413
# define	MODE	414
# define	MONTH_P	415
# define	MOVE	416
# define	NAMES	417
# define	NATIONAL	418
# define	NATURAL	419
# define	NCHAR	420
# define	NEW	421
# define	NEXT	422
# define	NO	423
# define	NOCREATEDB	424
# define	NOCREATEUSER	425
# define	NONE	426
# define	NOT	427
# define	NOTHING	428
# define	NOTIFY	429
# define	NOTNULL	430
# define	NULL_P	431
# define	NULLIF	432
# define	NUMERIC	433
# define	OF	434
# define	OFF	435
# define	OFFSET	436
# define	OIDS	437
# define	OLD	438
# define	ON	439
# define	ONLY	440
# define	OPERATOR	441
# define	OPTION	442
# define	OR	443
# define	ORDER	444
# define	OUT_P	445
# define	OUTER_P	446
# define	OVERLAPS	447
# define	OVERLAY	448
# define	OWNER	449
# define	PARTIAL	450
# define	PASSWORD	451
# define	PATH_P	452
# define	PENDANT	453
# define	PLACING	454
# define	POSITION	455
# define	PRECISION	456
# define	PREPARE	457
# define	PRIMARY	458
# define	PRIOR	459
# define	PRIVILEGES	460
# define	PROCEDURE	461
# define	PROCEDURAL	462
# define	READ	463
# define	REAL	464
# define	RECHECK	465
# define	REFERENCES	466
# define	REINDEX	467
# define	RELATIVE	468
# define	RENAME	469
# define	REPLACE	470
# define	RESET	471
# define	RESTRICT	472
# define	RETURNS	473
# define	REVOKE	474
# define	RIGHT	475
# define	ROLLBACK	476
# define	ROW	477
# define	RULE	478
# define	SCHEMA	479
# define	SCROLL	480
# define	SECOND_P	481
# define	SECURITY	482
# define	SELECT	483
# define	SEQUENCE	484
# define	SERIALIZABLE	485
# define	SESSION	486
# define	SESSION_USER	487
# define	SET	488
# define	SETOF	489
# define	SHARE	490
# define	SHOW	491
# define	SIMILAR	492
# define	SIMPLE	493
# define	SMALLINT	494
# define	SOME	495
# define	STABLE	496
# define	START	497
# define	STATEMENT	498
# define	STATISTICS	499
# define	STDIN	500
# define	STDOUT	501
# define	STORAGE	502
# define	STRICT	503
# define	SUBSTRING	504
# define	SYSID	505
# define	TABLE	506
# define	TEMP	507
# define	TEMPLATE	508
# define	TEMPORARY	509
# define	THEN	510
# define	TIME	511
# define	TIMESTAMP	512
# define	TO	513
# define	TOAST	514
# define	TRAILING	515
# define	TRANSACTION	516
# define	TREAT	517
# define	TRIGGER	518
# define	TRIM	519
# define	TRUE_P	520
# define	TRUNCATE	521
# define	TRUSTED	522
# define	TYPE_P	523
# define	UNENCRYPTED	524
# define	UNION	525
# define	UNIQUE	526
# define	UNKNOWN	527
# define	UNLISTEN	528
# define	UNTIL	529
# define	UPDATE	530
# define	USAGE	531
# define	USER	532
# define	USING	533
# define	VACUUM	534
# define	VALID	535
# define	VALIDATOR	536
# define	VALUES	537
# define	VARCHAR	538
# define	VARYING	539
# define	VERBOSE	540
# define	VERSION	541
# define	VIEW	542
# define	VOLATILE	543
# define	WHEN	544
# define	WHERE	545
# define	WITH	546
# define	WITHOUT	547
# define	WORK	548
# define	WRITE	549
# define	YEAR_P	550
# define	ZONE	551
# define	UNIONJOIN	552
# define	IDENT	553
# define	FCONST	554
# define	SCONST	555
# define	NCONST	556
# define	BCONST	557
# define	XCONST	558
# define	Op	559
# define	ICONST	560
# define	PARAM	561
# define	OP	562
# define	POSTFIXOP	563
# define	UMINUS	564
# define	TYPECAST	565


extern YYSTYPE yylval;

#endif /* not BISON_Y_TAB_H */
